ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0017551ClearOSapp-network - Network Settingspublic2017-10-18 12:312018-10-24 17:58
ReporterNickH 
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 Beta 1 
Target Version7.5.0 UpdatesFixed in Version7.5.0 Updates 
Summary0017551: Changing NIC subnet can leave DHCP Server invalid
DescriptionIf you configure a NIC as a DHCP server, then change the NIC subnet, it makes the DHCP server invalid but there is nothing to tell you this unless you go to the DHCP Server app.

In domestic routers, if you change the LAN subnet, from what I've seen, the DHCP server generally adjusts itself to the new subnet. ClearOS should do the same, or, at least take you straight to the DHCP server settings screen so you can fix the settings. As an extension of this, deleting an IP address or stopping the NIC from being Static should delete any DHCP server settings for the NIC or take you to the DHCP server screen.

This caused in issue in this this forum thread: https://www.clearos.com/clearfoundation/social/community/dhcp-assigning-ips-outside-of-allowed-range [^]
Steps To ReproduceConfigure NIC as static
Configure NIC DHCP server
Change NIC subnet
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008141)
pbaldwin (administrator)
2018-10-09 21:44

Instead of getting marked as "invalid" in the UI, the subnet will be deleted.

- Issue History
Date Modified Username Field Change
2017-10-18 12:31 NickH New Issue
2017-10-18 12:40 pbaldwin Severity minor => feature
2017-10-18 12:40 pbaldwin Status new => confirmed
2018-10-03 07:38 pbaldwin Target Version => 7.5.0
2018-10-09 21:43 pbaldwin Target Version 7.5.0 => 7.5.0 Updates
2018-10-09 21:44 pbaldwin Note Added: 0008141
2018-10-09 21:44 pbaldwin Status confirmed => resolved
2018-10-09 21:44 pbaldwin Fixed in Version => 7.5.0 Updates
2018-10-09 21:44 pbaldwin Resolution open => fixed
2018-10-09 21:44 pbaldwin Assigned To => pbaldwin
2018-10-24 17:58 pbaldwin Status resolved => closed